function [m_WTP,freq_table] = KaplanMeierEstimator(bids,votes,varargin)

% save tmp1

freq_table = zeros(numel(unique(bids)),6);
freq_table(:,1) = unique(bids);

if any(size(bids) ~= size(votes))
    if (size(bids,2) == size(votes,2)) && (size(bids,1) == 1)
        bids = repmat(bids,[size(votes,1),1]); % replicate bid vector to match votes (if votes are 2D matrix)
    else
        error('Bids and Votes matrix dimensions must agree')
    end
end

% bids = DATA.bidvalue(DATA.version == 0);
% votes = DATA.q45(DATA.version == 0);


freq_table(:,2) = histcounts(bids.*(votes==1),[freq_table(:,1);Inf]);
freq_table(:,3) = histcounts(bids.*(votes==0),[freq_table(:,1);Inf]);
freq_table(:,4) = histcounts(bids,[freq_table(:,1);Inf]);
freq_table(:,5) = freq_table(:,2) ./ freq_table(:,4);
freq_table(:,6) = freq_table(:,3) ./ freq_table(:,4);

% stairs(freq_table(:,1),freq_table(:,5))
% stairs(freq_table(:,1),freq_table(:,6))

m_WTP = sum(([freq_table(2:end,6);1] - freq_table(1:end,6)) .* freq_table(:,1));